Last Comment Bug 744555 - Fennec Native/Firefox mobile has zero/no featured/recommended add-ons
: Fennec Native/Firefox mobile has zero/no featured/recommended add-ons
Status: RESOLVED FIXED
[no-code]
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Administration (show other bugs)
: unspecified
: ARM Android
: -- normal
: ---
Assigned To: Dan Horner
:
Mentors:
: 744742 752929 755398 (view as bug list)
Depends on:
Blocks: 719927
  Show dependency treegraph
 
Reported: 2012-04-11 13:09 PDT by Mark Finkle (:mfinkle) (use needinfo?)
Modified: 2016-03-07 07:30 PST (History)
19 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot of featured admin tool (22.42 KB, image/png)
2012-06-06 07:46 PDT, Christopher Van Wiemeersch [:cvan]
no flags Details

Description Mark Finkle (:mfinkle) (use needinfo?) 2012-04-11 13:09:55 PDT
We need to recommend some add-ons so they show up on the built-in home page. Currently, we are using "Fullscreen" and "Cloud Viewer" as our hardcoded startup list of add-ons. Those are replaced when the application requests the current list of recommended add-ons. If there none, we show nothing in the about:home page.

Can we at least make "Fullscreen" and "Cloud Viewer" recommended for now?

CC'ing Erin and Jaclyn
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-11 13:10:35 PDT
I don't know who has the power to make add-ons recommended or I would have asked that person directly.
Comment 2 Christopher Van Wiemeersch [:cvan] 2012-04-12 00:11:33 PDT
Is this bug for the "Featured Add-ons" or the "Recommended for You" section?

If you have at least three extensions installed only then do we show personalized recommendations. For example, here are some results based on what I have installed:

https://services.addons.mozilla.org/en-US/android/discovery/pane/11.0/Darwin#{%22317763@personas.mozilla.org%22:{%22name%22:%22Baby&Kitten%22,%22version%22:%22%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22363870@personas.mozilla.org%22:{%22name%22:%22Wings%20TV%22,%22version%22:%22%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22447590@personas.mozilla.org%22:{%22name%22:%22Animated%20Christmas%20Eve%20Walk%22,%22version%22:%221323289444%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%2258231@personas.mozilla.org%22:{%22name%22:%22Halloween%20Silhouettes%22,%22version%22:%22%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%2242719@personas.mozilla.org%22:{%22name%22:%22Autumwood%22,%22version%22:%22%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22420735@personas.mozilla.org%22:{%22name%22:%22Harry%20Potter%20and%20the%20Deathly%20Hallows%20-%20Part%202%20-%20b%22,%22version%22:%221310752762%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22226913@personas.mozilla.org%22:{%22name%22:%22Rilakkuma_TEST001%22,%22version%22:%22%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22frontal-theme@design-noir.de@personas.mozilla.org%22:{%22name%22:%22Frontal%22,%22version%22:%22%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22420736@personas.mozilla.org%22:{%22name%22:%22Harry%20Potter%20and%20the%20Deathly%20Hallows%20-%20Part%202%20-%20c%22,%22version%22:%221310752856%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22140384@personas.mozilla.org%22:{%22name%22:%22Lost%20Smoke%20Monster%22,%22version%22:%22%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22140416@personas.mozilla.org%22:{%22name%22:%22TV_90210_Cast_Beach%22,%22version%22:%22%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22285546@personas.mozilla.org%22:{%22name%22:%22Sky%20Song%22,%22version%22:%22%22,%22type%22:%22theme%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22compatibility@addons.mozilla.org%22:{%22name%22:%22Add-on%20Compatibility%20Reporter%22,%22version%22:%221.1%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22desopa@congress.public%22:{%22name%22:%22DeSopa%22,%22version%22:%221.4%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22firebug@software.joehewitt.com%22:{%22name%22:%22Firebug%22,%22version%22:%221.9.1%22,%22type%22:%22extension%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22firefinder@robertnyman.com%22:{%22name%22:%22Firefinder%20for%20Firebug%22,%22version%22:%221.2.2%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22jid0-54RcVkEj5aRlpDodaQrAA3LAwwc@jetpack%22:{%22name%22:%22Unsearched%22,%22version%22:%220.1%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22jid0-HC7vB1GcMVr7IBB5B5ADUjTJB3U@jetpack%22:{%22name%22:%22dotjs%22,%22version%22:%221.5%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22jid0-NgMDcEu2B88AbzZ6ulHodW9sJzA@jetpack%22:{%22name%22:%22BugzillaJS%22,%22version%22:%222.0.3%22,%22type%22:%22extension%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22jid1-0FHdJAAQ7Nb73Q@jetpack%22:{%22name%22:%22Open%20in%20Private%20Browsing%20Mode%22,%22version%22:%220.1%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22jid1-NzIEzRc5sYX4Ww@jetpack%22:{%22name%22:%22Visual%20Hashing%22,%22version%22:%220.2%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22jsonovich@lackoftalent.org%22:{%22name%22:%22JSONovich%22,%22version%22:%221.9.3%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22openwebapps@mozillalabs.com%22:{%22name%22:%22Mozilla%20Labs%20App%20Runtime%22,%22version%22:%220.5.1%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22personas@christopher.beard%22:{%22name%22:%22Personas%22,%22version%22:%221.6.2%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22xssme@security.compass%22:{%22name%22:%22XSS%20Me%22,%22version%22:%220.4.5%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{02450954-cdd9-410f-b1da-db804e18c671}%22:{%22name%22:%22Screengrab%22,%22version%22:%220.96.3%22,%22type%22:%22extension%22,%22userDisabled%22:false,%22isCompatible%22:false,%22isBlocklisted%22:false},%22{0538E3E3-7E9B-4d49-8831-A227C80A7AD3}%22:{%22name%22:%22Forecastfox%22,%22version%22:%222.0.21%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{6AC85730-7D0F-4de0-B3FA-21142DD85326}%22:{%22name%22:%22ColorZilla%22,%22version%22:%222.6.4%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{8F6A6FD9-0619-459f-B9D0-81DE065D4E21}%22:{%22name%22:%22View%20Cookies%22,%22version%22:%221.10.3%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{9c51bd27-6ed8-4000-a2bf-36cb95c0c947}%22:{%22name%22:%22Tamper%20Data%22,%22version%22:%2211.0.1%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{c1970c0d-dbe6-4d91-804f-c9c0de643a57}%22:{%22name%22:%22NoRedirect%22,%22version%22:%221.3.2.13%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{c45c406e-ab73-11d8-be73-000a95be3b12}%22:{%22name%22:%22Web%20Developer%22,%22version%22:%221.1.9%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{e968fc70-8f95-4ab9-9e79-304de2a71ee1}%22:{%22name%22:%22User%20Agent%20Switcher%22,%22version%22:%220.7.3%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{f274730f-db76-4942-97ba-7984ab94f854}%22:{%22name%22:%22STOP!%20Hammertime!%22,%22version%22:%222.1c%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:false,%22isBlocklisted%22:false},%22{F5DDF39C-9293-4d5e-9AA8-E04E6DD5E9B4}%22:{%22name%22:%22HackBar%22,%22version%22:%221.6.1%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22testpilot@labs.mozilla.com%22:{%22name%22:%22Test%20Pilot%22,%22version%22:%221.2.1%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22support@lastpass.com%22:{%22name%22:%22LastPass%22,%22version%22:%221.90.6%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{972ce4c6-7e08-4474-a285-3208198ce6fd}%22:{%22name%22:%22Default%22,%22version%22:%2211.0%22,%22type%22:%22theme%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22push@jbalogh.me%22:{%22name%22:%22Push%20Notifications%22,%22version%22:%220.1%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22readable@evernote.com%22:{%22name%22:%22Clearly%22,%22version%22:%224.3328.304.555%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22teatimer@codepaintedby.philipp-soehnlein.de%22:{%22name%22:%22TeaTimer%22,%22version%22:%221.2.2%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22firefox@ghostery.com%22:{%22name%22:%22Ghostery%22,%22version%22:%222.7.2%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{8f8fe09b-0bd3-4470-bc1b-8cad42b8203a}%22:{%22name%22:%22Live%20HTTP%20headers%22,%22version%22:%220.17%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{E0B8C461-F8FB-49b4-8373-FE32E9252800}%22:{%22name%22:%22Evernote%20Web%20Clipper%22,%22version%22:%225.0.0.228639%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22formhistory@yahoo.com%22:{%22name%22:%22Form%20History%20Control%22,%22version%22:%221.2.10.2%22,%22type%22:%22extension%22,%22userDisabled%22:true,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}%22:{%22name%22:%22Adblock%20Plus%22,%22version%22:%222.0.3%22,%22type%22:%22extension%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{35ad5ffb-b98e-9d04-c3f4-beb2f70fa0c4}%22:{%22name%22:%22Facebook%20Video%20Calling%20Plugin%20%22,%22version%22:%221.2.0.157%22,%22type%22:%22plugin%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{6f741052-6a98-bdcf-55f4-6c4e6ca91487}%22:{%22name%22:%22QuickTime%20Plug-in%207.6.6%22,%22version%22:%227.6.6%22,%22type%22:%22plugin%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{74371a3c-c075-3492-3651-7bf29070386e}%22:{%22name%22:%22Google%20Earth%20Plug-in%22,%22version%22:%226.1%22,%22type%22:%22plugin%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{127ff364-3b9e-f80e-7d7e-e7b461a317a9}%22:{%22name%22:%22Silverlight%20Plug-In%22,%22version%22:%224.0.60831.0%22,%22type%22:%22plugin%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{d22ea02f-11e8-0ec9-a197-2e73fe39da8d}%22:{%22name%22:%22Google%20Talk%20Plugin%20Video%20Accelerator%22,%22version%22:%220.1.44.5%22,%22type%22:%22plugin%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{07e3277a-4aae-9097-9557-d83dac71cb73}%22:{%22name%22:%22Google%20Talk%20NPAPI%20Plugin%22,%22version%22:%222.1.7.2968%22,%22type%22:%22plugin%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{ae549d77-a8c6-283a-2cec-424cefb5539f}%22:{%22name%22:%22Shockwave%20Flash%22,%22version%22:%2210.3.181.26%22,%22type%22:%22plugin%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{5ea60f7e-7eef-6fb6-03fc-6bb8b4b1aed4}%22:{%22name%22:%22iPhotoPhotocast%22,%22version%22:%227.0%22,%22type%22:%22plugin%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false},%22{a7c059ee-ef74-c57f-91b2-e99fff4fc3f5}%22:{%22name%22:%22Java%20Plug-In%202%20for%20NPAPI%20Browsers%22,%22version%22:%2213.4.0%22,%22type%22:%22plugin%22,%22userDisabled%22:false,%22isCompatible%22:true,%22isBlocklisted%22:false}}
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-12 05:36:48 PDT
I see you used "https://services.addons.mozilla.org/en-US/android/discovery/pane", but the URL we use to pull the recommended add-ons is "https://services.addons.mozilla.org/en-US/android/api/1.5/list/featured/all"
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-12 05:37:22 PDT
We show these add-ons in our about:home page, not in the add-on manager.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-12 05:41:09 PDT
*** Bug 744742 has been marked as a duplicate of this bug. ***
Comment 6 Jorge Villalobos [:jorgev] 2012-04-12 08:16:48 PDT
Dan Horner is in charge of the featured add-ons group. CC'd.
Comment 7 Jaclyn Fu 2012-04-16 15:33:05 PDT
what about Adblock Plus? Firefox users coming from desktop will see a familiar face
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-16 16:33:53 PDT
(In reply to Jaclyn Fu from comment #7)
> what about Adblock Plus? Firefox users coming from desktop will see a
> familiar face

Adblock Plus is not compatible with native fennec
Comment 9 Dan Horner 2012-04-30 06:22:30 PDT
Hey Guys

We should not be featuring AdBlock Plus. My recommendation would be Phony, FourSquare and URL Fixer.

Ideal would be to loop the Feature add-ons for mobile:

https://addons.mozilla.org/en-US/mobile/extensions/?sort=featured
Comment 10 Paul [pwd] 2012-04-30 06:30:40 PDT
(In reply to Dan Horner from comment #9)
> We should not be featuring AdBlock Plus. My recommendation would be Phony,
> FourSquare and URL Fixer.

(In reply to Mark Finkle (:mfinkle) from comment #8)
> Adblock Plus is not compatible with native fennec
Comment 11 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-30 06:36:33 PDT
(In reply to Dan Horner from comment #9)
> Hey Guys
> 
> We should not be featuring AdBlock Plus. My recommendation would be Phony,
> FourSquare and URL Fixer.

I have not tested FourSquare, but I doubt it is compatible. URL Fixer is defintely not compatible.

> Ideal would be to loop the Feature add-ons for mobile:
> 
> https://addons.mozilla.org/en-US/mobile/extensions/?sort=featured

Remember, "mobile" is XUL Fennec. For the new native Fennec, we use "android"
Comment 12 Jaclyn Fu 2012-04-30 10:32:44 PDT
URL Fixer works for me on my Nightly
Comment 13 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-30 10:47:20 PDT
(In reply to Jaclyn Fu from comment #12)
> URL Fixer works for me on my Nightly

Looking at the code for URL Fixer shows no attempt to work with Native Fennec. Are you testing with XUL Fennec?
Comment 14 Jaclyn Fu 2012-04-30 10:51:22 PDT
Testing it with Native Fennec Nightly
Comment 15 Christopher Van Wiemeersch [:cvan] 2012-05-09 10:22:44 PDT
This seems almost identical to bug 721298. Is this blocked on anything from the AMO team?
Comment 16 Jaclyn Fu 2012-05-09 10:29:59 PDT
I've been seeing quite a few people having trouble with the Fullscreen add on (esp ICS devices) - not sure if we should still feature it if this is the case
Comment 17 Wil Clouser [:clouserw] 2012-05-14 14:03:05 PDT
*** Bug 752929 has been marked as a duplicate of this bug. ***
Comment 18 Dan Horner 2012-05-15 07:42:57 PDT
Can we get a list of add-ons that *are* compatible? I'll create a new collection, and we can pull from there.
Comment 19 Matt Brubeck (:mbrubeck) 2012-05-15 08:45:32 PDT
(In reply to Jaclyn Fu from comment #16)
> I've been seeing quite a few people having trouble with the Fullscreen add
> on (esp ICS devices) - not sure if we should still feature it if this is the
> case

Hopefully fixed by bug 754565 (currently awaiting AMO review).

(In reply to Dan Horner from comment #18)
> Can we get a list of add-ons that *are* compatible? I'll create a new
> collection, and we can pull from there.

https://addons.mozilla.org/en-US/android/extensions/?sort=updated seems to be the complete list.
Comment 20 Mark Finkle (:mfinkle) (use needinfo?) 2012-05-15 09:05:35 PDT
(In reply to Matt Brubeck (:mbrubeck) from comment #19)

> (In reply to Dan Horner from comment #18)
> > Can we get a list of add-ons that *are* compatible? I'll create a new
> > collection, and we can pull from there.
> 
> https://addons.mozilla.org/en-US/android/extensions/?sort=updated seems to
> be the complete list.

We need to go through that list and verify which ones are really supported by Fennec Native
Comment 21 Sebastian Hengst [:aryx][:archaeopteryx] 2012-05-15 11:22:49 PDT
*** Bug 755398 has been marked as a duplicate of this bug. ***
Comment 22 Mark Finkle (:mfinkle) (use needinfo?) 2012-05-21 22:11:58 PDT
Some of the add-ons I verified work in the latest beta:
* Phony
* Fullscreen
* URL Fixer
* Cloud Viewer

Feel free to "feature" any or all of those. A UA switcher (Phony) has been requested a few times in user reviews on Google Play.
Comment 23 Erin Lancaster [:elan] 2012-05-29 10:23:10 PDT
Followed up with Dan; plan is to have him provide a URL.
Comment 24 Dan Horner 2012-05-31 17:40:40 PDT
Collection is here - apologies for the delay:

https://addons.mozilla.org/firefox/collections/mozilla/mob/

-d
Comment 26 Dan Horner 2012-06-05 11:08:21 PDT
Hi Mark

Should be fixed now. Let me know if you need anything else.
Comment 27 Mark Finkle (:mfinkle) (use needinfo?) 2012-06-05 12:11:46 PDT
This still shows empty for me:

https://addons.mozilla.org/en-us/android/extensions/?sort=featured
Comment 28 Christopher Van Wiemeersch [:cvan] 2012-06-05 13:35:44 PDT
Dan, you added these to "mobile":

    https://addons.mozilla.org/en-us/mobile/extensions/?sort=featured

Are these intended to be added to "android":

    https://addons.mozilla.org/en-us/android/extensions/?sort=featured
Comment 29 Mark Finkle (:mfinkle) (use needinfo?) 2012-06-05 20:58:06 PDT
(In reply to Chris Van Wiemeersch [:cvan] from comment #28)
> Dan, you added these to "mobile":
> 
>     https://addons.mozilla.org/en-us/mobile/extensions/?sort=featured
> 
> Are these intended to be added to "android":
> 
>     https://addons.mozilla.org/en-us/android/extensions/?sort=featured

"android" is definitely what's required for Native Fennec. Confusing, I know.
Comment 30 Dan Horner 2012-06-06 06:15:49 PDT
(In reply to Chris Van Wiemeersch [:cvan] from comment #28)
> Dan, you added these to "mobile":
> 
>     https://addons.mozilla.org/en-us/mobile/extensions/?sort=featured
> 
> Are these intended to be added to "android":
> 
>     https://addons.mozilla.org/en-us/android/extensions/?sort=featured

Hey Chris - not sure what's being asked of me here - do you need those add-ons added to the collection?
Comment 31 Aaron Train [:aaronmt] 2012-06-06 07:06:20 PDT
/android/ is Native Fennec; so I would say, yes.
Comment 32 Christopher Van Wiemeersch [:cvan] 2012-06-06 07:46:34 PDT
Created attachment 630569 [details]
Screenshot of featured admin tool

This is not a screenshot of production, as I don't have access to such - but what you'll want to change is the Application from "Mobile" to "Android." If you also want a separate set of featured add-ons for "Mobile" then you'll need to create a separate collection.
Comment 33 Erin Lancaster [:elan] 2012-06-06 10:59:44 PDT
Here is what we need: 

* Keep this URL as is: https://addons.mozilla.org/en-us/mobile/extensions/?sort=featured

Why? Because we are still shipping the XUL version for tablets. Plan to EOL this URL in unison with the the Native release for Tablets (will file sep request)

* Upddate this URL with the sub-set of the above addons compatible/recommended for Fennec Native for phones: https://addons.mozilla.org/en-us/android/extensions/?sort=featured

** The collection list includes:
https://addons.mozilla.org/en-us/android/addon/full-screen-252573/
https://addons.mozilla.org/en-US/android/addon/phony/
https://addons.mozilla.org/en-US/android/addon/url-fixer/
https://addons.mozilla.org/en-US/android/addon/cloud-viewer/

(thank you)
Comment 34 Mark Finkle (:mfinkle) (use needinfo?) 2012-06-07 12:01:59 PDT
This works now. Thanks all.

Note You need to log in before you can comment on or make changes to this bug.